Package io.vertx.servicediscovery

## Enum Status

- java.lang.Object
- - java.lang.Enum<Status>
  - - io.vertx.servicediscovery.Status

- All Implemented Interfaces:
    `Serializable`, `Comparable<Status>`

      public enum Status
      extends Enum<Status>

  Service publication status.
  Author:
    Clement Escoffier

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOWN` | The service has been withdrawn, it is not accessible anymore.
    `OUT_OF_SERVICE` | The service is still published, but not accessible (maintenance).
    `UNKNOWN` | Unknown status.
    `UP` | The service is published and is accessible.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Status` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP

          public static final Status UP

      The service is published and is accessible.

    - #### DOWN

          public static final Status DOWN

      The service has been withdrawn, it is not accessible anymore.

    - #### OUT_OF_SERVICE

          public static final Status OUT_OF_SERVICE

      The service is still published, but not accessible (maintenance).

    - #### UNKNOWN

          public static final Status UNKNOWN

      Unknown status.

  - ### Method Detail

    - #### values

          public static Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Status c : Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Status valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null